WC_Admin_Setup_Wizard::install_woocommerce_services()protectedWC 1.0

Устарела с версии 4.6.0. Больше не поддерживается и может быть удалена. Рекомендуется заменить эту функцию на аналог.

Helper method to install WooCommerce Services and its Jetpack dependency.

Метод класса: WC_Admin_Setup_Wizard{}

Хуков нет.

Возвращает

null. Ничего.

Использование

// protected - в коде основоного (родительского) или дочернего класса
$result = $this->install_woocommerce_services();

Список изменений

Устарела с 4.6.0

Код WC_Admin_Setup_Wizard::install_woocommerce_services() WC 7.3.0

protected function install_woocommerce_services() {
	_deprecated_function( __CLASS__ . '::' . __FUNCTION__, '4.6.0', 'Onboarding is maintained in WooCommerce Admin.' );
	$this->install_jetpack();
	$this->install_plugin(
		'woocommerce-services',
		array(
			'name'      => __( 'WooCommerce Services', 'woocommerce' ),
			'repo-slug' => 'woocommerce-services',
		)
	);
}